--- title: Latest Publication --- ## Get Latest Publication **Required scope:** `public-api:read` The endpoint provides an unresolved Publication with 5 possible top-level properties: - systemdata - metadata - references - content ##### Advantages - Be able to cache the response, because it only changes on a republish (does not contain resolved refs) - Useful for a pull architecture - (deprecated) Supports the Render Pipeline with it's Renditions ##### Related - [Composition API](/reference/public-api/composition-api/llms.txt) **Use Cases** - Load an unresolved Publication with the required information to render a document/page. - Export the unresolved Publication to another system and get changes via [Publication Events](/reference/public-api/publications/publication-events/llms.txt) or [Webhooks](/reference/webhooks/llms.txt) **History** | Version | Change | | ------- | ------ | | release-2025-09 | Support for the `renditions` query string got removed. An error is reported if used. | | release-2025-03 | Support for top-level property `references` promoted from `beta` to version `2025-03`. | | release-2024-03 | Added `ignoreComponentConditions` and `componentConditions` query parameters. | | release-2023-09 | The type `documents` within `references` changed to `document` where every document id has a separate reference entry. | | release-2020-12 | Added beta endpoint with `references` property in the response object. | **Curl Example** ```bash ACCESS_TOKEN=ey1234 curl -k -X GET "https://server.livingdocs.io/api/2026-05/documents/{documentId}/latestPublication" \ -H "Authorization: Bearer $ACCESS_TOKEN" ``` **Endpoint** ```http GET /api/2026-05/documents/{documentId}/latestPublication ``` **Parameters** | Name | Type | Required | Notes | | ---- | ---- | :------: | ----- | | documentId | integer | x | | | ?fields | string | | Filters which (comma separated) properties are included in the response. Defaults to `systemdata,references,metadata,content`. | | ?ignoreComponentConditions | boolean | | Added in: [`release-2024-03`](/operations/releases/release-2024-03/)

Provides a way to opt out of component filtering and return all content regardless of whether each component passes the conditional checks.

Default: `false` | | ?componentConditions | string | | Added in: [`release-2024-03`](/operations/releases/release-2024-03/)

JSON stringified object which contains the component conditions you would like to apply.

Default: `{"dateTime": new Date()}`
Example: `?componentConditions={"dateTime":"2024-02-14T17:25:10.391Z"}` | **Response** _200 OK_ ```json { "systemdata": { "projectId": 1, "channelId": 1, "documentId": 1, "contentType": "regular", "documentType": "article", "publicationId": 1, "firstPublicationDate": "2022-03-16T14:08:11:000Z", "significantPublicationDate": "2022-10-26T07:25:00.000Z", "visiblePublicationDate": "2022-10-27T06:00:00.000Z", "lastPublicationDate": "2023-03-18T16:32:04.170Z", "design": { "name": "timeline", "version": "1.1.0" } }, "metadata": { "title": "a title", "description": "some lead", "dependencies": {} }, "content": [ { "id": "doc-1b8i1ksh10", "component": "head", "identifier": "timeline.head", "content": { "title": "a title", "text": "some lead" } }, { "id": "doc-1b8i1ksh20", "component": "normal", "identifier": "timeline.normal", "content": { "caption": "my caption" }, "styles": { "position": "left" } }, { "id": "doc-1b8i1ksh30", "component": "p", "identifier": "timeline.p", "content": { "text": "first paragraph" } }, { "id": "doc-1b8i1me1d0", "component": "p", "identifier": "timeline.p", "content": { "text": "second paragraph" } } ] } ``` ## Get Latest Publication > [!NOTE] > This endpoint has changes in version 2025-09. > **Required scope:** `public-api:read` The endpoint provides an unresolved Publication with 5 possible top-level properties: - systemdata - metadata - references - content - renditions ##### Advantages - Be able to cache the response, because it only changes on a republish (does not contain resolved refs) - Useful for a pull architecture - (deprecated) Supports the Render Pipeline with it's Renditions ##### Related - [Composition API](/reference/public-api/composition-api/llms.txt) **Use Cases** - Load an unresolved Publication with the required information to render a document/page. - Export the unresolved Publication to another system and get changes via [Publication Events](/reference/public-api/publications/publication-events/llms.txt) or [Webhooks](/reference/webhooks/llms.txt) - (deprecated) Provides a Publication via a [Rendition](/reference/project-config/content-types/llms.txt#renditions) for a delivery in another format like `RSS`, `XML` **History** | Version | Change | | ------- | ------ | | release-2025-09 | The `renditions` query string is deprecated and logs a warning when used. | | release-2025-03 | Support for top-level property `references` promoted from `beta` to version `2025-03`. | | release-2024-03 | Added `ignoreComponentConditions` and `componentConditions` query parameters. | | release-2023-09 | The type `documents` within `references` changed to `document` where every document id has a separate reference entry. | | release-2020-12 | Added beta endpoint with `references` property in the response object. | **Curl Example** ```bash ACCESS_TOKEN=ey1234 curl -k -X GET "https://server.livingdocs.io/api/2025-07/documents/{documentId}/latestPublication" \ -H "Authorization: Bearer $ACCESS_TOKEN" ``` **Endpoint** ```http GET /api/2025-07/documents/{documentId}/latestPublication ``` **Parameters** | Name | Type | Required | Notes | | ---- | ---- | :------: | ----- | | documentId | integer | x | | | ?fields | string | | Filters which (comma separated) properties are included in the response. Defaults to `systemdata,metadata,content,references`. | | ?renditions | string | | A comma-separated list of rendition handles.

Example: `?renditions=web,json` | | ?ignoreComponentConditions | boolean | | Added in: [`release-2024-03`](/operations/releases/release-2024-03/)

Provides a way to opt out of component filtering and return all content regardless of whether each component passes the conditional checks.

Default: `false` | | ?componentConditions | string | | Added in: [`release-2024-03`](/operations/releases/release-2024-03/)

JSON stringified object which contains the component conditions you would like to apply.

Default: `{"dateTime": new Date()}`
Example: `?componentConditions={"dateTime":"2024-02-14T17:25:10.391Z"}` | **Response** _200 OK_ ```json { "systemdata": { "projectId": 1, "channelId": 1, "documentId": 1, "contentType": "regular", "documentType": "article", "publicationId": 1, "firstPublicationDate": "2022-03-16T14:08:11:000Z", "significantPublicationDate": "2022-10-26T07:25:00.000Z", "visiblePublicationDate": "2022-10-27T06:00:00.000Z", "lastPublicationDate": "2023-03-18T16:32:04.170Z", "design": { "name": "timeline", "version": "1.1.0" } }, "metadata": { "title": "a title", "description": "some lead", "dependencies": {} }, "content": [ { "id": "doc-1b8i1ksh10", "component": "head", "identifier": "timeline.head", "content": { "title": "a title", "text": "some lead" } }, { "id": "doc-1b8i1ksh20", "component": "normal", "identifier": "timeline.normal", "content": { "caption": "my caption" }, "styles": { "position": "left" } }, { "id": "doc-1b8i1ksh30", "component": "p", "identifier": "timeline.p", "content": { "text": "first paragraph" } }, { "id": "doc-1b8i1me1d0", "component": "p", "identifier": "timeline.p", "content": { "text": "second paragraph" } } ], "renditions": [ { "handle": "web", "content": "
\n

a title

\n

some lead

\n
\n
\n \n
my caption
\n
\n

first paragraph

\n

second

\n

and third one. :)

" }, { "handle": "mobile", "content": { "content": [ { "id": "doc-1b8i1ksh10", "component": "head", "identifier": "timeline.head", "content": { "title": "a title", "text": "some lead" } }, { "id": "doc-1b8i1ksh20", "component": "normal", "identifier": "timeline.normal", "content": { "caption": "my caption" }, "styles": { "position": "left" } }, { "id": "doc-1b8i1ksh30", "component": "p", "identifier": "timeline.p", "content": { "text": "first paragraph" } }, { "id": "doc-1b8i1me1d0", "component": "p", "identifier": "timeline.p", "content": { "text": "second paragraph" } } ], "design": { "name": "timeline", "version": "1.1.0" } } }, { "handle": "app", "error": { "message": "Processing of Channel 'app' for document '1' failed. Detailed error message…" } } ] } ``` ## Get Latest Publication > [!WARNING] > With the introduction of the new [versioning strategy](/reference/public-api/versioning/llms.txt), the `v1` and `beta` versions are now available as `2025-03` version. If you use any of those versions, you can safely change your integration to the `2025-03` version, which now contains both functionalities without any other changes. > **Required scope:** `public-api:read` The endpoint provides an unresolved Publication with 5 possible top-level properties: - systemdata - metadata - references - content - renditions ##### Advantages - Be able to cache the response, because it only changes on a republish (does not contain resolved refs) - Useful for a pull architecture - (deprecated) Supports the Render Pipeline with it's Renditions **Use Cases** - Load an unresolved Publication with the required information to render a document/page. - Export the unresolved Publication to another system and get changes via [Publication Events](/reference/public-api/publications/publication-events/llms.txt) or [Webhooks](/reference/webhooks/llms.txt) - (deprecated) Provides a Publication via a [Rendition](/reference/project-config/content-types/llms.txt#renditions) for a delivery in another format like `RSS`, `XML` **History** | Version | Change | | ------- | ------ | | release-2025-09 | The `renditions` query string is deprecated and logs a warning when used. | | release-2024-03 | Added `ignoreComponentConditions` and `componentConditions` query parameters. | | release-2023-09 | The type `documents` within `references` changed to `document` where every document id has a separate reference entry. | | release-2020-12 | Added beta endpoint with `references` property in the response object. | **Curl Example** ```bash ACCESS_TOKEN=ey1234 curl -k -X GET "https://server.livingdocs.io/api/beta/documents/{documentId}/latestPublication" \ -H "Authorization: Bearer $ACCESS_TOKEN" ``` **Endpoint** ```http GET /api/beta/documents/{documentId}/latestPublication ``` **Parameters** | Name | Type | Required | Notes | | ---- | ---- | :------: | ----- | | documentId | integer | x | | | ?fields | string | | Filters which (comma separated) properties are included in the response. Defaults to `systemdata,metadata,content,references`. | | ?renditions | string | | A comma-separated list of rendition handles.

Example: `?renditions=web,json` | | ?ignoreComponentConditions | boolean | | Added in: [`release-2024-03`](/operations/releases/release-2024-03/)

Provides a way to opt out of component filtering and return all content regardless of whether each component passes the conditional checks.

Default: `false` | | ?componentConditions | string | | Added in: [`release-2024-03`](/operations/releases/release-2024-03/)

JSON stringified object which contains the component conditions you would like to apply.

Default: `{"dateTime": new Date()}`
Example: `?componentConditions={"dateTime":"2024-02-14T17:25:10.391Z"}` | **Response** _200 OK_ — `/api/beta/documents/{documentId}/latestPublication` ```json { "systemdata": { "projectId": 1, "channelId": 1, "documentId": 1, "contentType": "article", "documentType": "article", "publicationId": 1, "firstPublicationDate": "2022-03-16T14:08:11:000Z", "significantPublicationDate": "2022-10-26T07:25:00.000Z", "visiblePublicationDate": "2022-10-27T06:00:00.000Z", "lastPublicationDate": "2023-03-18T16:32:04.170Z", "design": { "name": "timeline", "version": "1.1.0" } }, "metadata": { "title": "a title", "description": "some lead", "dependencies": {} }, "content": [ { "id": "doc-1b8i1ksh10", "component": "head", "identifier": "timeline.head", "content": { "title": "a title", "text": "some lead" } }, { "id": "doc-1b8i1ksh20", "component": "normal", "identifier": "timeline.normal", "content": { "caption": "my caption" }, "styles": { "position": "left" } }, { "id": "doc-1b8i1ksh30", "component": "p", "identifier": "timeline.p", "content": { "text": "first paragraph" } }, { "id": "doc-1b8i1me1d0", "component": "p", "identifier": "timeline.p", "content": { "text": "second paragraph" } } ], "renditions": [ { "handle": "web", "content": "
\n

a title

\n

some lead

\n
\n
\n \n
my caption
\n
\n

first paragraph

\n

second

\n

and third one. :)

" }, { "handle": "mobile", "content": { "content": [ { "id": "doc-1b8i1ksh10", "component": "head", "identifier": "timeline.head", "content": { "title": "a title", "text": "some lead" } }, { "id": "doc-1b8i1ksh20", "component": "normal", "identifier": "timeline.normal", "content": { "caption": "my caption" }, "styles": { "position": "left" } }, { "id": "doc-1b8i1ksh30", "component": "p", "identifier": "timeline.p", "content": { "text": "first paragraph" } }, { "id": "doc-1b8i1me1d0", "component": "p", "identifier": "timeline.p", "content": { "text": "second paragraph" } } ], "design": { "name": "timeline", "version": "1.1.0" } } }, { "handle": "app", "error": { "message": "Processing of Channel 'app' for document '1' failed. Detailed error message…" } } ], "references": [ { "id": "YbzTpusGyJtF", "type": "language-group", "location": "metadata", "propertyName": "language" } ] } ``` ## Get Latest Publication > [!NOTE] > This endpoint has changes in version 2025-09. > **Required scope:** `public-api:read` The endpoint provides an unresolved Publication with 4 possible top-level properties: - systemdata - metadata - content - renditions ##### Advantages - Be able to cache the response, because it only changes on a republish (does not contain resolved refs) - Useful for a pull architecture - (deprecated) Supports the Render Pipeline with it's Renditions ##### Related - [Composition API](/reference/public-api/composition-api/llms.txt) **Use Cases** - Load an unresolved Publication with the required information to render a document/page. - Export the unresolved Publication to another system and get changes via [Publication Events](/reference/public-api/publications/publication-events/llms.txt) or [Webhooks](/reference/webhooks/llms.txt) - (deprecated) Provides a Publication via a [Rendition](/reference/project-config/content-types/llms.txt#renditions) for a delivery in another format like `RSS`, `XML` **History** | Version | Change | | ------- | ------ | | release-2025-09 | The `renditions` query string is deprecated and logs a warning when used. | | release-2024-03 | Added `ignoreComponentConditions` and `componentConditions` query parameters. | **Curl Example** ```bash ACCESS_TOKEN=ey1234 curl -k -X GET "https://server.livingdocs.io/api/v1/documents/{documentId}/latestPublication" \ -H "Authorization: Bearer $ACCESS_TOKEN" ``` **Endpoint** ```http GET /api/v1/documents/{documentId}/latestPublication ``` **Parameters** | Name | Type | Required | Notes | | ---- | ---- | :------: | ----- | | documentId | integer | x | | | ?fields | string | | Filters which (comma separated) properties are included in the response. Defaults to `systemdata,metadata,content`. | | ?renditions | string | | A comma-separated list of rendition handles.

Example: `?renditions=web,json` | | ?ignoreComponentConditions | boolean | | Added in: [`release-2024-03`](/operations/releases/release-2024-03/)

Provides a way to opt out of component filtering and return all content regardless of whether each component passes the conditional checks.

Default: `false` | | ?componentConditions | string | | Added in: [`release-2024-03`](/operations/releases/release-2024-03/)

JSON stringified object which contains the component conditions you would like to apply.

Default: `{"dateTime": new Date()}`
Example: `?componentConditions={"dateTime":"2024-02-14T17:25:10.391Z"}` | **Response** _200 OK_ ```json { "systemdata": { "projectId": 1, "channelId": 1, "documentId": 1, "contentType": "regular", "documentType": "article", "publicationId": 1, "firstPublicationDate": "2022-03-16T14:08:11:000Z", "significantPublicationDate": "2022-10-26T07:25:00.000Z", "visiblePublicationDate": "2022-10-27T06:00:00.000Z", "lastPublicationDate": "2023-03-18T16:32:04.170Z", "design": { "name": "timeline", "version": "1.1.0" } }, "metadata": { "title": "a title", "description": "some lead", "dependencies": {} }, "content": [ { "id": "doc-1b8i1ksh10", "component": "head", "identifier": "timeline.head", "content": { "title": "a title", "text": "some lead" } }, { "id": "doc-1b8i1ksh20", "component": "normal", "identifier": "timeline.normal", "content": { "caption": "my caption" }, "styles": { "position": "left" } }, { "id": "doc-1b8i1ksh30", "component": "p", "identifier": "timeline.p", "content": { "text": "first paragraph" } }, { "id": "doc-1b8i1me1d0", "component": "p", "identifier": "timeline.p", "content": { "text": "second paragraph" } } ], "renditions": [ { "handle": "web", "content": "
\n

a title

\n

some lead

\n
\n
\n \n
my caption
\n
\n

first paragraph

\n

second

\n

and third one. :)

" }, { "handle": "mobile", "content": { "content": [ { "id": "doc-1b8i1ksh10", "component": "head", "identifier": "timeline.head", "content": { "title": "a title", "text": "some lead" } }, { "id": "doc-1b8i1ksh20", "component": "normal", "identifier": "timeline.normal", "content": { "caption": "my caption" }, "styles": { "position": "left" } }, { "id": "doc-1b8i1ksh30", "component": "p", "identifier": "timeline.p", "content": { "text": "first paragraph" } }, { "id": "doc-1b8i1me1d0", "component": "p", "identifier": "timeline.p", "content": { "text": "second paragraph" } } ], "design": { "name": "timeline", "version": "1.1.0" } } }, { "handle": "app", "error": { "message": "Processing of Channel 'app' for document '1' failed. Detailed error message…" } } ] } ```